<!-- manual page source format generated by PolyglotMan v3.2, -->
<!-- available at http://polyglotman.sourceforge.net/ -->

<html>
<head>
<title>PSNUP(1) manual page</title>
</head>
<body bgcolor='white'>
<a href='#toc'>Table of Contents</a><p>

<h2><a name='sect0' href='#toc0'>Name</a></h2>
psnup - multiple pages per sheet 
<h2><a name='sect1' href='#toc1'>Synopsis</a></h2>
<b>psnup</b> [ <b>-w<i>width</i></b> ] [ <b>-h<i>height</i></b>
] [ <b>-p<i>paper</i></b> ] [ <b>-W<i>width</i></b> ] [ <b>-H<i>height</i></b> ] [ <b>-P<i>paper</i></b> ] [ <b>-l</b> ] [ <b>-r</b> ] [ <b>-f</b> ] [ <b>-c</b> ]
[ <b>-m<i>margin</i></b> ] [ <b>-b<i>border</i></b> ] [ <b>-d<i>lwidth</i></b> ] [ <b>-s<i>scale</i></b> ] [ <b>-<i>nup</i></b> ] [ <b>-q</b> ] [ <i>infile</i> [
<i>outfile</i> ] ] 
<h2><a name='sect2' href='#toc2'>Description</a></h2>
<i>Psnup</i> puts multiple logical pages onto each physical
sheet of paper. The input PostScript file should follow the Adobe Document
Structuring Conventions. <p>
The <i>-w</i> option gives the paper width, and the <i>-h</i> option
gives the paper height, normally specified in <b>cm</b> or <b>in</b>. The  <i>-p</i> option can
be used as an alternative, to set the paper size to <b>a0, a1, a2, a3, a4,
a5, b5, letter, legal, tabloid, statement,</b> executive, folio, quarto or
<b>10x14.</b> The default paper size is normally <b>@PAPER@,</b> but on a Debian system,
/etc/papersize is consulted. The <i>-W,</i> -H, and <i>-P</i> options set the input paper
size, if it is different from the output size. This makes it easy to impose
pages of one size on a different size of paper. <p>
The <i>-l</i> option should be used
for pages which are in landscape orientation (rotated 90 degrees anticlockwise).
The <i>-r</i> option should be used for pages which are in seascape orientation
(rotated 90 degrees clockwise), and the <i>-f</i> option should be used for pages
which have the width and height interchanged, but are not rotated. <p>
<i>Psnup</i>
normally uses &lsquo;row-major&rsquo; layout, where adjacent pages are placed in rows
across the paper. The <i>-c</i> option changes the order to &lsquo;column-major&rsquo;, where successive
pages are placed in columns down the paper. <p>
A margin to leave around the
whole page can be specified with the <i>-m</i> option. This is useful for sheets
of &lsquo;thumbnail&rsquo; pages, because the normal page margins are reduced by putting
multiple pages on a single sheet. <p>
The <i>-b</i> option is used to specify an additional
margin around each page on a sheet. <p>
The <i>-d</i> option draws a line around the
border of each page, of the specified width. If the <i>lwidth</i> parameter is
omitted, a default linewidth of 1 point is assumed. The linewidth is relative
to the original page dimensions, <i>i.e.</i> it is scaled down with the rest of
the page. <p>
The scale chosen by <i>psnup</i> can be overridden with the <i>-s</i> option.
This is useful to merge pages which are already reduced. <p>
The <i>-<i>nup</i></i> option
selects the number of logical pages to put on each sheet of paper. This
can be any whole number; <i>psnup</i> tries to optimise the layout so that the
minimum amount of space is wasted. If <i>psnup</i> cannot find a layout within
its tolerance limit, it will abort with an error message. The alternative
form <i>-i</i> <i>nup</i> can also be used, for compatibility with other n-up programs.
<p>
<i>Psnup</i> normally prints the page numbers of the pages re-arranged; the <i>-q</i> option
suppresses this. 
<h2><a name='sect3' href='#toc3'>Examples</a></h2>
The potential use of this utility is varied but
one particular  use is in conjunction with  <a href='psbook.1'><i>psbook(1)</a>
.</i> For example, using
groff to create a PostScript document and lpr as  the  <font size='-1'>UNIX </font>
 print spooler
a typical command line might look like this:  <p>
groff -Tps -ms <i>file</i> | psbook
| psnup -2 | lpr <p>
Where file is a 4 page document this command will result
in a  two page document printing two pages of <i>file</i> per page and rearranges
the page order to match the input pages 4 and 1  on the first output page
and pages 2 then 3 of the input document  on the second output page. 
<h2><a name='sect4' href='#toc4'>Author</a></h2>
Copyright
(C) Angus J. C. Duggan 1991-1995 
<h2><a name='sect5' href='#toc5'>See Also</a></h2>
@MAN@ 
<h2><a name='sect6' href='#toc6'>Trademarks</a></h2>
<b>PostScript</b> is a trademark
of Adobe Systems Incorporated. 
<h2><a name='sect7' href='#toc7'>Bugs</a></h2>
<i>Psnup</i> does not accept all DSC comments.
<p>

<hr><p>
<a name='toc'><b>Table of Contents</b></a><p>
<ul>
<li><a name='toc0' href='#sect0'>Name</a></li>
<li><a name='toc1' href='#sect1'>Synopsis</a></li>
<li><a name='toc2' href='#sect2'>Description</a></li>
<li><a name='toc3' href='#sect3'>Examples</a></li>
<li><a name='toc4' href='#sect4'>Author</a></li>
<li><a name='toc5' href='#sect5'>See Also</a></li>
<li><a name='toc6' href='#sect6'>Trademarks</a></li>
<li><a name='toc7' href='#sect7'>Bugs</a></li>
</ul>
</body>
</html>
